# OpenLaserTag device
# OLT protocol.
# Tomas Krejci [Njord]


from sys import platform
ESP32 = platform == 'esp32'
RP2 = platform == 'rp2'
PYBOARD = platform == 'pyboard'
if ESP32 or RP2:
    from machine import Pin
else:
    from pyb import Pin, LED
import uasyncio as asyncio
from primitives.switch import Switch
from primitives.delay_ms import Delay_ms
# Import all implemented classes
from olt_lib.ir_tx.olt import LT_24, SONY_12, SONY_15, SONY_20

async def main(proto):

    while True:
        print("main while running")
        await asyncio.sleep(3)    



try:
    asyncio.run(main(0))

except KeyboardInterrupt:
    print("Interrupted")
    
finally:
    asyncio.new_event_loop()
    print('End')

